com.smartgwt.client.util.workflow

## Class FormEditRecordTask

- java.lang.Object
- - com.smartgwt.client.core.BaseClass
  - - com.smartgwt.client.util.workflow.ProcessElement
    - - com.smartgwt.client.util.workflow.ComponentTask
      - - com.smartgwt.client.util.workflow.FormEditNewRecordTask
        - - com.smartgwt.client.util.workflow.FormEditRecordTask

- All Implemented Interfaces:
    com.google.gwt.event.shared.HasHandlers

      public class FormEditRecordTask
      extends FormEditNewRecordTask

  Edit a record currently showing in some other component. The source record is obtained as follows:
  - for a ListGrid: the first selected record or, if none is selected, the first record
  - for a DynamicForm: the form values
  - for a DetailViewer: the first record
  See Also:
    `DynamicForm.editRecord(com.smartgwt.client.data.Record)`

- - ### Field Summary

    - ### Fields inherited from class com.smartgwt.client.core.BaseClass

      `config, configOnly, factoryCreated, factoryProperties, id, scClassName`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FormEditRecordTask()`
    `FormEditRecordTask(com.google.gwt.core.client.JavaScriptObject jsObj)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.google.gwt.core.client.JavaScriptObject` | `create()`
    `static FormEditRecordTask` | `getOrCreateRef(com.google.gwt.core.client.JavaScriptObject jsObj)`
    `java.lang.String` | `getRecordSourceComponent()` Component to pull record for editing.
    `FormEditRecordTask` | `setRecordSourceComponent(java.lang.String recordSourceComponent)` Component to pull record for editing.

    - ### Methods inherited from class com.smartgwt.client.util.workflow.FormEditNewRecordTask

      `getInitialValues, setInitialValues`

    - ### Methods inherited from class com.smartgwt.client.util.workflow.ComponentTask

      `getComponentBaseClass, getComponentBaseClassAsStringArray, getComponentId, getComponentRequiresDataSource, setComponentBaseClass, setComponentBaseClass, setComponentId, setComponentRequiresDataSource`

    - ### Methods inherited from class com.smartgwt.client.util.workflow.ProcessElement

      `convertToJavaScriptArray, getClassDescription, getDescription, getEditorType, getElementDescription, getID, getJsObj, getNextElement, getOrCreateJsObj, getPassThruOutput, getProcessElements, getTitle, isCreated, onInit, setAttribute, setClassDescription, setDescription, setEditorType, setID, setJavaScriptObject, setNextElement, setPassThruOutput, setTitle`

    - ### Methods inherited from class com.smartgwt.client.core.BaseClass

      `addDynamicProperty, addDynamicProperty, addDynamicProperty, applyFactoryProperties, asSGWTComponent, clearDynamicProperty, createJsObj, destroy, doAddHandler, doInit, error, error, errorIfNotCreated, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsElement, getAttributeAsFloat, getAttributeAsInt, getAttributeAsJavaScriptObject, getAttributeAsMap, getAttributeAsString, getAttributeAsStringArray, getClassName, getConfig, getHandlerCount, getRef, getRuleScope, getScClassName, getTestInstance, hasAutoAssignedID, hasDynamicProperty, internalSetID, internalSetID, isConfigOnly, isFactoryCreated, onBind, registerID, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setConfig, setConfigOnly, setFactoryCreated, setProperty, setProperty, setProperty, setProperty, setRuleScope, setScClassName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FormEditRecordTask

          public FormEditRecordTask()

    - #### FormEditRecordTask

          public FormEditRecordTask(com.google.gwt.core.client.JavaScriptObject jsObj)

  - ### Method Detail

    - #### getOrCreateRef

          public static FormEditRecordTask getOrCreateRef(com.google.gwt.core.client.JavaScriptObject jsObj)

    - #### create

          public com.google.gwt.core.client.JavaScriptObject create()

      Overrides:
        `create` in class `FormEditNewRecordTask`

    - #### setRecordSourceComponent

          public FormEditRecordTask setRecordSourceComponent(java.lang.String recordSourceComponent)
                                                      throws java.lang.IllegalStateException

      Component to pull record for editing.
      Parameters:
        `recordSourceComponent` - New recordSourceComponent value. Default value is null
      Returns:
        `FormEditRecordTask` instance, for chaining setter calls
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the underlying component has been created
      See Also:
        `GlobalId`

    - #### getRecordSourceComponent

          public java.lang.String getRecordSourceComponent()

      Component to pull record for editing.
      Returns:
        Current recordSourceComponent value. Default value is null
      See Also:
        `GlobalId`